Leases - Update

Updates the duration or pipeline protection status of a retention lease.

PATCH https://dev.azure.com/{organization}/{project}/_apis/build/retention/leases/{leaseId}?api-version=7.1-preview.2

URI Parameters

Name In Required Type Description
leaseId
path True
  • integer
int32

The ID of the lease to update.

organization
path True
  • string

The name of the Azure DevOps organization.

project
path True
  • string

Project ID or project name

api-version
query True
  • string

Version of the API to use. This should be set to '7.1-preview.2' to use this version of the api.

Request Body

Name Type Description
daysValid
  • integer

The number of days to consider the lease valid. A retention lease valid for more than 100 years (36500 days) will display as retaining the build "forever".

protectPipeline
  • boolean

If set, this lease will also prevent the pipeline from being deleted while the lease is still valid.

Responses

Name Type Description
200 OK

successful operation

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.build_execute Grants the ability to access build artifacts, including build results, definitions, and requests, and the ability to queue a build, update build properties, and the ability to receive notifications about build events via service hooks.

Definitions

RetentionLease

A valid retention lease prevents automated systems from deleting a pipeline run.

RetentionLeaseUpdate

An update to the retention parameters of a retention lease.

RetentionLease

A valid retention lease prevents automated systems from deleting a pipeline run.

Name Type Description
createdOn
  • string

When the lease was created.

definitionId
  • integer

The pipeline definition of the run.

leaseId
  • integer

The unique identifier for this lease.

ownerId
  • string

Non-unique string that identifies the owner of a retention lease.

protectPipeline
  • boolean

If set, this lease will also prevent the pipeline from being deleted while the lease is still valid.

runId
  • integer

The pipeline run protected by this lease.

validUntil
  • string

The last day the lease is considered valid.

RetentionLeaseUpdate

An update to the retention parameters of a retention lease.

Name Type Description
daysValid
  • integer

The number of days to consider the lease valid. A retention lease valid for more than 100 years (36500 days) will display as retaining the build "forever".

protectPipeline
  • boolean

If set, this lease will also prevent the pipeline from being deleted while the lease is still valid.